Skip to main content
PUT
/
config
/
telephony
/
twilio
Set or update Twilio credentials
curl --request PUT \
  --url https://api.vocobase.com/api/v2/config/telephony/twilio \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_sid": "ACxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
  "auth_token": "your_auth_token",
  "from_number": "+14155551234"
}
'
{
  "success": true,
  "data": {
    "account_sid": "ACxx****xxxx",
    "from_number": "+14155551234",
    "message": "Twilio credentials updated successfully."
  }
}

Authorizations

Authorization
string
header
required

API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.

Body

application/json
account_sid
string
required

Twilio Account SID.

Example:

"ACxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"

auth_token
string
required

Twilio Auth Token.

Example:

"your_auth_token"

from_number
string
required

Twilio phone number in E.164 format.

Example:

"+14155551234"

Response

Twilio credentials updated.

success
boolean
data
object